[gtk-doc] tests: don't fail sanity test when logs are missing



commit 05279903dcc2739cf7812bd2872d1ff04a9c1bd8
Author: Stefan Sauer <ensonic users sf net>
Date:   Mon Oct 19 19:07:43 2015 +0200

    tests: don't fail sanity test when logs are missing
    
    If we don't have pdf support, there won't be any logs.

 tests/sanity.sh |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)
---
diff --git a/tests/sanity.sh b/tests/sanity.sh
index 346cce8..99236ba 100755
--- a/tests/sanity.sh
+++ b/tests/sanity.sh
@@ -33,9 +33,11 @@ tested=`expr $tested + 1`
 nok=0
 for path in $dir/*/docs; do
   if test ! -s $path/tester.pdf ; then
-    if ! grep "must be installed to use gtkdoc-mkpdf" $path/gtkdoc-mkpdf.log; then
-      echo 1>&2 "no or empty $path/tester.pdf"
-      nok=`expr $nok + 1`; break;
+    if test -s $path/gtkdoc-mkpdf.log; then
+      if ! grep >/dev/null 2>&1 "must be installed to use gtkdoc-mkpdf" $path/gtkdoc-mkpdf.log; then
+        echo 1>&2 "no or empty $path/tester.pdf"
+        nok=`expr $nok + 1`; break;
+      fi
     fi
   fi
 done


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]